#-----------------------------------------------------------------------------
#
# ICETConfig.cmake - IceT CMake configuration file for external projects.
#
# This file is configured by IceT and used by the UseICET.cmake module
# to load IceT's settings for an external project.
#
## Copyright 2003 Sandia Coporation
## Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
## license for use of this work by or on behalf of the U.S. Government.
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that this Notice and any statement
## of authorship are reproduced on all copies.
#
# Id
#

# The IceT include file directories.
SET(ICET_INCLUDE_DIRS "/usrinclude/paraview-3.8")

# The IceT library directories.
SET(ICET_LIBRARY_DIRS "/usrlib/mpich2/lib/paraview")

# The C and C++ flags added by IceT to the cmake-configured flags.
SET(ICET_REQUIRED_C_FLAGS "")
SET(ICET_REQUIRED_CXX_FLAGS "")

# The IceT version number
SET(ICET_MAJOR_VERSION "1")
SET(ICET_MINOR_VERSION "0")
SET(ICET_PATCH_VERSION "0")

# The location of the UseICET.cmake file.
SET(ICET_USE_FILE "/usrlib/mpich2/lib/paraview/UseICET.cmake")

# The build settings file.
SET(ICET_BUILD_SETTINGS_FILE "/usrlib/mpich2/lib/paraview/ICETBuildSettings.cmake")

# The IceT libraries
SET(ICET_CORE_LIBS "/usrlib/mpich2/lib/paraview/libicet.so" "/usrlib/mpich2/lib/paraview/libicet_strategies.so")
SET(ICET_MPI_LIBS "/usrlib/mpich2/lib/paraview/libicet_mpi.so")

# MPI configuration used to build IceT.
SET(ICET_MPI_INCLUDE_PATH "/usr/include/mpich2-i386")
SET(ICET_MPI_LIBRARY "/usr/lib/mpich2/lib/libmpichcxx.so")
SET(ICET_MPI_EXTRA_LIBRARY "/usr/lib/mpich2/lib/libmpich.so;/usr/lib/mpich2/lib/libopa.a;/usr/lib/libpthread.so;/usr/lib/librt.so")
SET(ICET_MPIRUN_EXE "/usr/lib/mpich2/bin/mpiexec")
SET(ICET_MPI_MAX_NUMPROCS "2")
SET(ICET_MPI_PREFLAGS ";-np;2;")
SET(ICET_MPI_POSTFLAGS "")

# Other IceT configuration options.
SET(ICET_BUILD_SHARED_LIBS "ON")
SET(ICET_BUILD_TESTING "ON")

# The ICET library dependencies.
IF(NOT ICET_NO_LIBRARY_DEPENDS)
  INCLUDE("/usrlib/mpich2/lib/paraview/ICETLibraryDepends.cmake")
ENDIF(NOT ICET_NO_LIBRARY_DEPENDS)

